Friends

Check Friend Status

GET
/user/{userId}/friendStatus

Retrieve if the user is currently a friend with a given user, if they have an outgoing friend request, and if they have an incoming friend request. The proper way to receive and accept friend request is by checking if the user has an incoming Notification of type friendRequest, and then accepting that notification.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

userId*string

Must be a valid user ID.

Response Body

application/json

application/json

curl -X GET "https://api.vrchat.cloud/api/1/user/string/friendStatus"

{
  "incomingRequest": false,
  "isFriend": true,
  "outgoingRequest": false
}

{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}